StatsHub Docs
APIAPI v2V2 endpoint referenceBet tracker

/me/tracked-bets

List the caller's tracked bets

GET
/me/tracked-bets

List the caller's tracked bets

Authorization

AuthorizationBearer <token>

Supabase access token.

In: header

Query Parameters

limit?integer

Maximum resources to return; defaults to 25

Range1 <= value <= 100
Default25
after?string

Opaque cursor for the next page

before?string

Opaque cursor for the previous page

status?string

Filter by settlement status

Value in

  • "pending"
  • "won"
  • "lost"
  • "void"
bankrollId?string

Filter by bankroll

Match^[1-9][0-9]*$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/me/tracked-bets"
{  "data": [    {      "bankrollId": "string",      "betType": "string",      "bookmakerId": "string",      "competition": {        "id": "string",        "name": "string",        "slug": "string"      },      "country": "string",      "createdAt": "2019-08-24T14:15:22Z",      "fixture": {        "awayTeam": {          "id": "string",          "name": "string",          "slug": "string"        },        "homeTeam": {          "id": "string",          "name": "string",          "slug": "string"        },        "id": "string",        "kickoffAt": "2019-08-24T14:15:22Z",        "slug": "string"      },      "id": "string",      "market": {        "direction": "string",        "line": 0.1,        "oddsTaken": 0.1,        "type": "string"      },      "modelName": "string",      "notes": "string",      "player": {        "id": "string",        "name": "string"      },      "result": {        "actualResult": 0,        "profitLoss": 0,        "settledAt": "2019-08-24T14:15:22Z"      },      "source": "string",      "stake": {        "amount": 0.1,        "currency": "string",        "unitValue": 0      },      "status": "string",      "tags": [        "string"      ],      "team": {        "id": "string",        "name": "string",        "slug": "string"      },      "teamSide": "string"    }  ],  "links": {    "next": "string",    "previous": "string",    "self": "string"  },  "page": {    "hasNext": true,    "hasPrevious": true,    "limit": 0,    "nextCursor": "string",    "previousCursor": "string"  }}